# -*- coding: utf-8 -*-
import swapper


def handle_jmenu_add_entry_swapped_model(app_label, model, add_entry):
    model_name = model["model_name"]
    if swapper.is_swapped(app_label, model_name):
        new_app_label = swapper.load_model(app_label, model_name)._meta.app_label
        add_entry['url_name'] = f"admin:{new_app_label}_{model_name}_add"
        add_entry['perms'] = [f"{new_app_label}.add_{model_name}"]


def handle_jmenu_list_entry_swapped_model(app_label, model, list_entry):
    model_name = model["model_name"]
    swapped_model = swapper.is_swapped(app_label, model_name)
    if swapped_model:
        new_app_label = swapper.load_model(app_label, model_name)._meta.app_label
        list_entry['url_name'] = f"admin:{new_app_label}_{model_name}_changelist"
        list_entry['perms'] = [
            f"{new_app_label}.view_{model_name}",
            f"{new_app_label}.change_{model_name}"
        ]
