# -*- coding: utf-8 -*-

from django.conf import settings
from django.core.checks.model_checks import _check_lazy_references
from django.db.models.utils import make_model_tuple


def patched_check_lazy_references(apps, ignore=None):
    if ignore:
        for model in getattr(settings, "SWAPPED_MODELS", []):
            ignore.add(make_model_tuple(model))
    return _check_lazy_references(apps, ignore)


def monkey_patch_check_lazy_references():
    from django.core.checks import model_checks
    model_checks._check_lazy_references = patched_check_lazy_references
